[Snort-users] Problem installing Snort with PHP -please help

Harper, Patrick patrick.harper at ...11593...
Tue Aug 3 07:50:02 EDT 2004


That doc is a little out of date, I have a newer one up on my site,
there is a link to it in the doc.  It looks like PHP did not compile
right for some reason.  You might want to rm -rf the /www and start over
with installing apache step by step.  Make sure you get all the
arguments in the ./configure.  I have an RPM based install on my site
now which is much easier for people that are new to Linux (not saying
you are, just mentioning it)  I am also adding barnyard and oinkmaster
to the install over the next week or so. 

Also, RH9 is EOL.  You will not get anymore RH patch's for it.  You
might want to try Fedora.

-----Original Message-----
From: Juan Fernandez [mailto:Juan.Fernandez at ...2210...] 
Sent: Tuesday, August 03, 2004 3:26 AM
To: 'snort-users at lists.sourceforge.net'
Subject: [Snort-users] Problem installing Snort with PHP -please help

Hi,

 

I am installing snort on a Red Hat 9 machine according to Snort, Apache,
PHP, MySQL and Acid

Install on RH9.0 by Patrick Harper which I downloaded in the snort web
site.

 

I have a problem with php 4.3.3.

 

After the install and editing of /www/conf/httpd.conf  I receive the
following error when I try to start /etc/rc5.d/S85httpd start

 

[root at ...12217... root]# /etc/rc5.d/S85httpd start

Syntax error on line 231 of /www/conf/httpd.conf:

Cannot load /www/modules/libphp4.so into server:
/www/modules/libphp4.so: cannot open shared object file: No such file or
directory

 

This is the 231 line in /www/conf/httpd.conf  :

 

LoadModule php4_module modules/libphp4.so

 

And those are the files I have in /www/module directory :

 

[root at ...12217... root]# ls -al /www/modules

total 10980

drwxr-xr-x    2 root     root         4096 Aug  2 17:57 .

drwxr-xr-x   16 root     root         4096 Aug  2 17:57 ..

-rw-r--r--    1 root     root         8217 Aug  2 17:42 httpd.exp

-rw-r--r--    1 root     root     11198994 Aug  2 17:57 libphp4.a

-rw-r--r--    1 root     root          740 Aug  2 17:57 libphp4.la

 

I tried replacing the 3 files in the directory instead of libphp4.so but
it didn't help !!! I got another error when I tried to start http.

 

Please Help !!

 

Thanks

 

 





Disclaimer:
This electronic message, including any attachments, is confidential and intended solely for use of the intended recipient(s). This message may contain information that is privileged or otherwise protected from disclosure by applicable law. Any unauthorized disclosure, dissemination, use or reproduction is strictly prohibited. If you have received this message in error, please delete it and notify the sender immediately. 







More information about the Snort-users mailing list